picklist
POST
/analysis/tournaments/{tournamentKey}/picklist
const url = 'https://api.lovat.cjcameron.com/v2/analysis/tournaments/example/picklist';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"weights":{"additionalProperty":1},"sources":{"mode":"INCLUDE","items":[1]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.lovat.cjcameron.com/v2/analysis/tournaments/example/picklist \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "weights": { "additionalProperty": 1 }, "sources": { "mode": "INCLUDE", "items": [ 1 ] } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tournamentKey
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
weights
required
object
key
additional properties
number
sources
object
mode
required
string
items
required
Array
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Example generated
{ "tournamentKey": "example", "weights": { "additionalProperty": 1 }, "teams": [ { "teamNumber": 1, "score": 1, "zScores": { "additionalProperty": 1 }, "values": { "additionalProperty": 1 } } ]}